题意:一个人在1位置,另一个在n位置,俩人要见面,然后给出m个集合,告诉集合的城市之间的距离都是t。然后问最短路 解法:边太多,直接邻接表是存不下的,所以要换一个存储方式,存与边关联的点,与点关联的边。然后最短路用堆优化的dij算法。还有一点值得注意的是,一个集合只需要跑一次就可以了,因为是最短路跑过来的,集合里都已经是最短的了 #include<bits/stdc++.h>using nam
很有趣的一道归纳贪心题目 class Solution {public:int minimumAddedCoins(vector<int>& coins, int target) {sort(coins.begin(),coins.end());int n = coins.size();int s = 0,i=0;int res = 0;while(s<target){if(i<n&&
对于这种颜色多的,但是限制简单的情况,可以利用dp推出公式,然后矩阵快速幂求解 代码: #include <cstdio>#include <cstring>#include <algorithm>using namespace std;const int MOD = 1000000007;typedef long long ll;int n, k;int phi(int n) {
It’s another Start[c]up finals, and that means there is pizza to order for the onsite contestants. There are only 2 types of pizza (obviously not, but let’s just pretend for the sake of the problem),
牛客寒假集训营总结笔记——7道优质好题 一、Trie树的应用: 题目链接:Tokitsukaze and Min-Max XOR 1、题意 2、题解 1、首先这道题的答案和元素本身的顺序是无关的,因为假如你选择了一些数字,它是默认必须排好序才能记作是答案,所以对于我们枚举的任意一组max和min,位于 m i n ≤ x ≤ m a x min \le x \le max
题目描述 小 A 很喜欢玩皇室战争这款游戏。皇室战争的卡牌种类共有 3 种,分别为部队、建筑和法术。一个卡组会携带 88 张卡牌,一个合理的卡组会包含 0∼1 张建筑牌、 1∼3 张法术牌,部队牌则没有限制。每张卡牌都有自己独立的等级 ai 和种类 ci。 现在小 A 想和 小 B 进行友谊战,因此需要来构建出战卡组。小 A 共有 n 张卡牌,卡牌的类型与等级已知,且 小 B 的每张出战卡
全文检索 Time Limit: 2000/1000 MS (Java/Others) Memory Limit: 65536/32768 K (Java/Others) Total Submission(s): 1304 Accepted Submission(s): 416 Problem Description 我们大家经常用google检索信息,但是检索信息的